EnumerationValue (CMDB Model API)
Keywords: com.collation.platform.model.topology.meta.EnumerationValue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.meta
Interface EnumerationValue

All Superinterfaces:
  CmdbMeta, ModelObject, java.io.Serializable

    public interface EnumerationValue

extends CmdbMeta

Naming Rules:
  0="parent,value"
Persistable:
  true
Table Name:
  ENUMVALUE

Method Summary
`java.lang.String` | `getDisplayString()`
`EnumerationType` | `getParent()`
`int` | `getValue()`
`boolean` | `hasDisplayString()`
`boolean` | `hasParent()`
`boolean` | `hasValue()`
`void` | `setDisplayString(java.lang.String s)`
`void` | `setParent(EnumerationType type)`
`void` | `setValue(int i)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    EnumerationType getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(EnumerationType type)

### hasParent

    boolean hasParent()

### getValue

    int getValue()
                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setValue

    void setValue(int i)

### hasValue

    boolean hasValue()

### getDisplayString

    java.lang.String getDisplayString()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDisplayString

    void setDisplayString(java.lang.String s)

### hasDisplayString

    boolean hasDisplayString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD